> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Registry Credential Endpoint



## OpenAPI

````yaml https://platform.ankra.app/openapi.json get /api/v1/org/helm/credentials/{credential_name}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/org/helm/credentials/{credential_name}:
    get:
      tags:
        - Helm API
      summary: Get Registry Credential Endpoint
      operationId: >-
        get_registry_credential_endpoint_api_v1_org_helm_credentials__credential_name__get
      parameters:
        - in: path
          name: credential_name
          required: true
          schema:
            maxLength: 253
            title: Credential Name
            type: string
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetRegistryCredentialResult'
          description: Successful Response
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    GetRegistryCredentialResult:
      properties:
        created_at:
          title: Created At
          type: string
        id:
          title: Id
          type: string
        name:
          title: Name
          type: string
        provider:
          default: helm
          title: Provider
          type: string
        updated_at:
          title: Updated At
          type: string
        username:
          title: Username
          type: string
      required:
        - id
        - name
        - username
        - created_at
        - updated_at
      title: GetRegistryCredentialResult
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````